Subject: Re: cygwin bash-4.1.9-2
From: Kimbo Mundy <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: Philipp Wiendl <[email-masked]>, cygwin <[email-masked]>
Date: Tue, 8 Feb 2011 14:15:22 -0500
List-Id: <cygwin.cygwin.com>

On Wed, 02 Feb 2011 12:47:00 -0700, Eric Blake wrote:
> On 02/02/2011 09:38 AM, Philipp Wiendl wrote:
> > Hello,
> >
> > today i installed cygwin v1.7 with the new v4 bash package.
> > I tried to run ssh-host-config and got following error:
> >
> > $ ssh-host-config -y
> > *** Query: Overwrite existing /etc/ssh_config file? (yes/no) yes
> > *** Info: Creating default /etc/ssh_config file
> > Segmentation fault (core dumped)
> >
> > After a fallback to v3 bash package the setup for the sshd works fine.
> > Maybe you can reproduce this issue and fix it.
>
> I have not seen that issue, and you're the first to report it, but I'll
> see if I can reproduce it.  Meanwhile, could you run:
>
> bash -vx ssh-host-config -y
>
> to pinpoint where it crashes?

I just hit this as well.  I had to use --debug, instead of bash -xv,
in order to get tracing turned on inside
/usr/share/csih/cygwin-service-installation-helper.sh.  It appears the
crash happens as csih_install_config is returning:

$ ssh-host-config --debug -y
...
*** Info: Creating default /etc/ssh_config file
+ set -x
++ csih_stacktrace 'returning with' 0
++ set +x
*** STACKTRACE: main[540]->csih_install_config[1519]->csih_inform[637]
returning with 0
+ cp /etc/defaults//etc/ssh_config /etc/ssh_config
+ return
++ csih_stacktrace 'returning with' 0
++ set +x
*** STACKTRACE: main[540]->csih_install_config[1522] returning with 0
Segmentation fault (core dumped)

I hope this helps.  In the meantime, it's back to v3.

Thanks, Kimbo

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple